import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

class AppPrimaryButton extends StatelessWidget {
  final Function onTap;
  final String text;
  final double width;
  final Color color;
  final EdgeInsetsGeometry padding;

  AppPrimaryButton({@required this.onTap, this.text, this.width, this.color, this.padding});

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      minWidth: width ?? context.width(),
      padding: padding ?? EdgeInsets.only(top: 12, bottom: 12),
      onPressed: onTap,
      color: color ?? Theme.of(context).primaryColor,
      child: Text(text.validate(), style: boldTextStyle(color: Colors.white)),
      shape: RoundedRectangleBorder(borderRadius: radius(defaultRadius)),
    );
  }
}

class AppSecondaryButton extends StatelessWidget {
  final Function onTap;
  final String text;
  final double width;
  final Color color;
  final Color textColor;

  AppSecondaryButton({@required this.onTap, this.text, this.width, this.color, this.textColor});

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      minWidth: width ?? context.width(),
      padding: EdgeInsets.only(top: 12, bottom: 12),
      onPressed: onTap,
      color: color ?? Colors.white,
      child: Text(text.validate(), style: boldTextStyle(color: textColor ?? textPrimaryColorGlobal)),
      shape: RoundedRectangleBorder(borderRadius: radius(defaultRadius)),
    );
  }
}
